from fighter import *
import random
import math

class IAFighter(Fighter):
	def __init__(self, id, name="", appendId=True):
		Fighter.__init__(self, id, name, appendId)
		self.enemy = None

	def create(self, id, name="", appendId = True):
		return IAFighter(id, name, appendId)

	def update(self, time):
		Fighter.update(self, time)
		if math.fabs(self.position.x - self.enemy.position.x) < 60:
                    r = random.random()
                    if r>0.5:
                        self.punch()
                    else self.block()
		
		if math.fabs(self.position.x - self.enemy.position.x) < 50:
                    self.move(0)
                else:
			if self.position.x < self.enemy.position.x:
				self.move(2)
			elif self.position.x > self.enemy.position.x:
				self.move(1)
			return
