from fighter import *
import random
import math

class IAFighter(Fighter):
	def __init__(self, id, name="", appendId=True):
		Fighter.__init__(self, id, name, appendId)
		self.enemy = None

	def create(self, id, name="", appendId = True):
		return IAFighter(id, name, appendId)

	def update(self, time):
		Fighter.update(self, time)
		
		if self.life == 0 or self.paused:
			return
		
		"""
		if math.fabs(self.position.x - self.enemy.position.x) < 100:
			if self.position.x < self.enemy.position.x:
				self.move(1)
			elif self.position.x > self.enemy.position.x:
				self.move(2)
			return
		"""
		r = random.random()
#		if r < 0.02:
#			self.damage(random.random() * 20)
		if r > 0.95 and r < 0.96:
			self.punch()
		if r > 0.96 and r < 0.97:
			self.jump()
		elif r > 0.97 and r < 0.98:
			self.move(0)
		elif r > 0.98 and r < 0.99:
			self.move(1)
		elif r > 0.99:
			self.move(2)
