from fighter import *
import random
import math

class IAFighter(Fighter):
	def __init__(self, id, name="", appendId=True):
		Fighter.__init__(self, id, name, appendId)
		self.enemy = None
		self.nextJump = 3 + random.random() * 3

	def create(self, id, name="", appendId = True):
		return IAFighter(id, name, appendId)

	def update(self, time):
		Fighter.update(self, time)
		if self.life == 0:
			return
		if math.fabs(self.position.x - self.enemy.position.x) < 75:
			r = random.random()
			if r > 0.80 and r < 0.85:
                                self.kick()
			elif r > 0.86 and r < 0.95:
				self.punch()
			#elif r > 0.96 and r < 0.99:
                        #        self.block()

                distance = math.fabs(self.position.x - self.enemy.position.x)
		
		if distance < 70 or distance > 300:
			self.move(0)
		else:
			self.nextJump-= time
			if self.nextJump < 0:
				self.nextJump = 2 + random.random() * 2
				self.jump()
			else:
				r = random.random()
				if r > 96 and r < 0.99:
					self.move(0)
				else:
					if self.position.x < self.enemy.position.x:
						self.move(2)
					elif self.position.x > self.enemy.position.x:
						self.move(1)
			
